"""
Item model module.
"""
from sqlalchemy import Column, String, Text, Boolean
from app.models.base import BaseModel


class Item(BaseModel):
    """
    Item model.
    """
    __tablename__ = "items"

    name = Column(String(255), index=True, nullable=False)
    description = Column(Text, nullable=True)
    is_active = Column(Boolean, default=True)